Page MenuHomePhabricator

Map Libris authorities to Wikidata values
Closed, ResolvedPublic5 Story Points

Description

Create a mapping table for the Libris Authorities database (new), i.e. which fields are there in the database, and how they correspond to Wikidata properties. What problems will there be in processing the data?

This will be necessary when we start importing data other than just the URI's (which is the first step).

The mappings will live here: https://www.wikidata.org/wiki/User:Alicia_Fagerving_(WMSE)/LibraryData/Libris_auth_mapping

Event Timeline

Alicia_Fagerving_WMSE set the point value for this task to 5.

Have you seen this mapping wikidata to bibframe

FYI: We have abt. 1700 Swedish authors connected from Litterturbanken on P5101

I also created a property for books from Litteraturbanken P5123 that is not filled....
My understanding is that information about Litteraturbanken books is available with metadata from LIBRIS see blogplost if you search using bibl:LITT ==> that we could in Wikidata create objects for the about 2895 books they have see statistics

FYI: I also requested on friday to set up LIBRIS for doing Federated search see T202122: LIBRIS SPARQL in Wikidata

@Salgo60 This task is about the authority database, not works/Bibframe.

Salgo60 added a comment.EditedAug 22 2018, 8:09 AM

@Alicia_Fagerving_WMSE Yes I understand that but I feel a strategy and a vision for the whole concept of LIBRIS-XL and BIBFRAME and working together with Wikidata would be good to get in the future....

My unskilled understanding is that authority database is called Agent in the picture below

Question 1 will LIBRIS have the Qnumber of the Wikidata person so that we easy can do Federated searches and have exact match?
Question 2 Do you know if the SPARQL endpoint is http://libris.kb.se/sparql as I have suggested in T202122: LIBRIS SPARQL in Wikidata and Wikidata:SPARQL_federation_input#LIBRIS

The best I have listen to from Libris that have some kind of realistic vision is "Att uppgradera (ett nationalbibliotek) till länkad data" with Niklas Lindström

@Salgo60 : A vision is certainly being developed :) Yes, an authority post would correspond to the Agent. Back-linking from Libris is a possibility, considering they already store some viaf/isni ID's. The Sparql endpoint, as you can see, uses the old SELIBR ID's, so it's not helpful at this point in the project (we're focusing on the new URI's), and I don't know if/when there will be a usable endpoint for the new Libris.

Salgo60 added a comment.EditedAug 22 2018, 11:50 AM

@Alicia_Fagerving_WMSE
Thanks for the answer and now more questions ;-)

Question A) do you have the new SPARQL endpoint so we can set that one up also? I tried ask LIBRIS people but got no answer link

I tested with Nobel Data last week doing feederated search and it works excellent see T200668: Set up Nobel Data as federated search with Wikidata

Tool hub --> redirect Old Libris id -> Wikidata -> Libris XL

FYI: I did a small test with a tool HUB ==> when we get the LibrisURI in Wikidata people could use Wikidata to find the new record.

Wikidata Qnumbers in LIBRIS-XL

My understanding from speaking short with Peter Kranz the former CIO at KB was that they had an usercase where they should store WD: Qnumber in LIBRIS XL but I havnt heard anything more...

When I check Strindberg tr574vdc33gk2cc (json) it looks like they store sv:Wikipedia URL in LIBRIS XL as Se även

and have dbpedia and old LIBRIS as same as/samma sak som

feels wrong not using Wikidata and set it as same as or have its as its own Property.....

Compare how we used Property 2888 for setting same as with Nobel db example

Property 2888 was used see Albert Camus Q34670#Property 2888 same as http://data.nobelprize.org/resource/laureate/628 next step will be to have a specific Nobel-URI in Wikidata....

Just a very quick note (I'll have a more thorough look at your questions later): unfortunately there are very very few auth posts in Libris that link directly to Wikipedia. Dbpedia links are a bit more common. It doesn't look like either were inserted in a systematic way.

Salgo60 added a comment.EditedAug 24 2018, 6:48 AM

My feeling is that LIBRIS has a backlog of needs to be done things which I guess is no surprise with an old system,.... and now moving directing Linked Data then you need to start communicate and have a change process (like using Phabricator) in a total new way that I feel LIBRIS is not prepared to be doing....

I started a Wikidata discussion about that for problems in Wikidata with external data sources and that we need a well defined change process

I have also pointed out for the LIBRIS people they need something more than a discussion group to track changes and what is released see kundo.se/org/librisxl några reflexioner samt en fråga

Salgo60 added a comment.EditedAug 27 2018, 12:04 PM

@Alicia_Fagerving_WMSE @Lokal_Profil

have you any thoughts of quality of dates from LIBRIS? my feeling is that all dates at LIBRIS are unsourced..... or?

Compare with SBL Property 3217

Lesson learned:

  • Musikverket:
    • had just years and was added with the same rank as dates with better precision ==> all SPARQL queries using wdt will start returning 2 results back
      • suggestion: don't add dates with less precision with the same rank if you are not 100% sure the quality is better
    • Musikverket - my guess - dont have the quality of research as SBL ==> it should always be less ranked than SBL sourced dates....

Quality LIBRIS I guess at least less good than SBL P3217

@Salgo60: It's very rare that Libris cites any sources, and when they do it's only with fields like profession and maybe description… I haven't seen any sources for the dates.

We haven't examined how accurate their dates are. I don't remember any bad experiences, but then of course it's not something you double-check when just reading catalog posts. We could think about examining a random sample, but it would have to be worth the time. Do you have any examples of bad data quality?

On the plus side, the vast majority of dates in Libris are YYYY, so there's less place for error than with day dates.

As for multiple dates, we're working on T202400 and intend to implement it before the upload.

Salgo60 added a comment.EditedAug 27 2018, 12:53 PM

I would say the other way around always trust SBL P3217 we have found some web errors but the feedback from people skilled in researching history says always trust SBL.... see my review of SBL

or do a mismatch list

T202400: Introduce accuracy check for dates is excellent....

Another good pattern I have seen is to add Property:P4390 mapping relation type ==> you can describe the concept with

  • close match
  • exact match
  • related match
  • broad match
  • narrow match

see Q206123#P5080

I guess pointing at a person is always exact match but if we start to link to concepts then maybe we need to qualify it....

Lokal_Profil closed this task as Resolved.Sep 14 2018, 10:10 AM